Index: sys/netinet/in_jail.c
===================================================================
--- sys/netinet/in_jail.c	(revision 358732)
+++ sys/netinet/in_jail.c	(working copy)
@@ -385,6 +385,12 @@
 		return (0);
 
 	/*
+	 * Check for multi-cast address. PR 180067
+	 */
+	if (IN_MULTICAST(ntohl(ia->s_addr)))
+		return (0);
+
+	/*
 	 * All the other IPs are sorted so we can do a binary search.
 	 */
 	a = 0;
